__gnu_cxx::project2nd< _Arg1, _Arg2 >(3)

NAME
__gnu_cxx::project2nd< _Arg1, _Arg2 > -

SYNOPSIS

Inherits __gnu_cxx::_Project2nd< _Arg1, _Arg2 >.

  Public Types
typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

  Public Member Functions
_Arg2 operator() (const _Arg1 &, const _Arg2 &__y) const

Detailed Description

  template<class _Arg1, class _Arg2>struct __gnu_cxx::project2nd< _Arg1, _Arg2 >
An SGI extension .

Definition at line 241 of file ext/functional.

Member Typedef Documentation

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type [inherited]

first_argument_type is the type of the first argument

Definition at line 117 of file stl_function.h.

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type [inherited]

result_type is the return type

Definition at line 123 of file stl_function.h.

  template<typename _Arg1, typename _Arg2, typename _Result> typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Definition at line 120 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.